#ifndef _IMAGEMAP_H_
#define _IMAGEMAP_H_

#include <string>
#include <sstream>
#include <map>

class Image;

class ImageMap {
	public:
	
	static void initVital ();
	static void init ();
	
	static Image* get (std::string id) { return map[id]; }
	
	static void load (std::string id, int splitWidth = 32);
	
	private:
	
	static std::map<std::string, Image*> map;
};

#endif

