#ifndef _BULLET_H_
#define _BULLET_H_

#include "image.h"
#include <list>

class Bullet {

	public:
	Bullet(float x, float y, int direction);
	void checkCollisions();
	void update();
	void draw();

	static std::list<Bullet*> bulletList;
	static void create(float x, float y, int direction);
	static void updateAll();
	static void drawAll();
	static bool shouldRemove(Bullet* b);

	private:
	Image* image;

	float x;
	float y;
	float velocity;

	bool collided;

};

#endif
